Bug 106157 - Troublesome messages for RTL languages in anaconda
Summary: Troublesome messages for RTL languages in anaconda
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: beta2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-03 12:33 UTC by Christian Rose
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-14 21:30:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2003-10-03 12:33:21 UTC
#: ../iw/progress_gui.py:37
msgid " MB"
                                                                                
#: ../iw/progress_gui.py:40
msgid " KB"

#: ../iw/progress_gui.py:43
msgid " Byte"
                                                                  
#: ../iw/progress_gui.py:45
msgid " Bytes"

If these messages are preceded in the code by a number, I imagine this can be
difficult to translate correctly for RTL languages -- the number and the word
would end up in the wrong order.

Please include a printf-style specifier too in these messages, so that they can
be translated correctly even in RTL environments:

msgid "%ld MB"
msgid "%ld KB"
msgid "%ld Byte"
msgid "%ld Bytes"

or something like that.

Comment 1 Jeremy Katz 2003-10-14 21:30:40 UTC
Fixed in CVS, will push to elvis later.


Note You need to log in before you can comment on or make changes to this bug.